Subject: Re: [RFC/PATCH] git push usability improvements and default change

From: Finn Arne Gangstad <[email-masked]>
Date: Thu, 12 Mar 2009 13:20:47 +0100

On Thu, Mar 12, 2009 at 07:52:29PM +0900, Miles Bader wrote:
> Finn Arne Gangstad <[email-masked]> writes:
> > The main problem with all these examples is that the underlying
> > assumption is that you can always use the same branch name locally and
> > remotely.
> 
> Presumably the push --track option would be used with an explicit branch
> name given to push anyway, right?  Then it can use that info to set up
> the tracking flexibly (and with sane defaults).
> 
> E.g.,, simple case:
> 
>     git push --track SOME_REMOTE BRANCH_NAME
> 
> complex case:
> 
>     git push --track SOME_REMOTE MY-BRANCH:REMOTE-BRANCH

Yes, git push --track ... would typically do the same thing to the
config as git checkout -b MY-BRANCH SOME_REMOTE/REMOTE-BRANCH, which
is enough for push --tracking to do its thing.

I am not sure if you mean that git push --track could do something
extra to make --tracking unecessary for git push, currently it cannot
do that since the push configuration is per remote, not per branch.

- Finn Arne